<template>
  <div id="axios-component">
    <h3>Axios component</h3>
    <div v-for="(currency, i) in info" :key="i">
        {{ currency.description }}
        <span>
            <span v-html="currency.symbol"></span>{{ currency.rate_float | currencydecimal }}
        </span>
    </div>
    <div>
        <div v-if="result">
            <p>User ID: {{ result.userId }}</p>
            <p>Title: {{ result.title }}</p>
        </div>
    </div>
  </div>
</template>

<script>
import axios from 'axios'

export default {
    data: () => ({
        info: null,
        loading: true,
        errored: false,
        result: null
    }),
    mounted() {
        axios
            .get('https://api.coindesk.com/v1/bpi/currentprice.json')
            .then(response => {
                this.info = response.data.bpi
            })
            .catch(error => {
                console.log(error)
                this.errored = true
            })
            .finally(() => this.loading = false)
    },
    filters: {
        currencydecimal (value) {
            return value.toFixed(2)
        }
    },
    created() {
        axios
            .get("https://jsonplaceholder.typicode.com/todos/1")
            .then( result => {
                this.result = result.data
            })
    }

}
</script>

<style>

</style>